PLATINUM DOCS
ApiSandboxes

GET /v1/sandboxes/{id}/secrets

GET
/v1/sandboxes/{id}/secrets

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/v1/sandboxes/string/secrets"
{  "sandbox_id": "string",  "epoch": 0,  "leased_epoch": 0,  "state": "armed",  "policy_blocked": [    "string"  ],  "implied_egress": {    "domains": [      "string"    ],    "rules": {      "property1": [        "string"      ],      "property2": [        "string"      ]    },    "proxy": true  },  "secrets": [    {      "binding_id": "string",      "secret_id": "string",      "secret_name": "string",      "alias": "string",      "env_name": "string",      "hosts": [        "string"      ],      "header": "string",      "on_echo": "block",      "gen": 0,      "state": "armed"    }  ]}
Empty